Bug 971161 - distribution sync fails when syncing repo which has distributions with missing files
distribution sync fails when syncing repo which has distributions with missin...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Jay Dobies
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 16:43 EDT by Preethi Thomas
Modified: 2013-09-10 11:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:45:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-06-05 16:43:18 EDT
Description of problem:
distribution sync fails when syncing repo which has distributions with missing files

Version-Release number of selected component (if applicable):
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.1.beta.fc18.noarch


How reproducible:


Steps to Reproduce:
[root@hp-dl360g6-01 ~]#  mkdir -p /mnt/disk
[root@hp-dl360g6-01 ~]# mount -o loop Fedora-18-x86_64-DVD.iso /mnt/disk/

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo create --repo-id f18-disk --feed file:///mnt/disk/
Successfully created repository [f18-disk]

[root@hp-dl360g6-01 ~]#  pulp-admin rpm repo sync run --repo-id f18-disk
+----------------------------------------------------------------------+
                  Synchronizing Repository [f18-disk]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       4165/4165 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[===============================                   ] 62%
Distributions: 5/8 items
Importing errata...
[-]
... completed

Importing package groups/categories...
[\]
... completed

Publishing packages...
[==================================================] 100%
Packages: 4165/4165 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed
Generating metadata
[|]
... completed

Publishing repository over HTTPS
[-]
... completed


From pulp.log

2013-06-05 09:16:08,238 pulp_rpm.plugins.importers.yum.parse.treeinfo:ERROR: some distro file downloads failed
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2013-06-07 09:39:48 EDT
https://github.com/pulp/pulp_rpm/pull/234

Sample output:


pulp-admin rpm repo sync run --repo-id local-f18
+----------------------------------------------------------------------+
                  Synchronizing Repository [local-f18]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[/]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[===============================                   ] 62%
Distributions: 5/8 items

Errors encountered during distribution sync:

File: file:///mnt/iso/f18/images/boot.iso
Error Code:   37
Error Message:
Couldn't open file /mnt/iso/f18/images/boot.iso


Importing errata...
[-]
... completed

Importing package groups/categories...
[\]
... completed

Publishing packages...
[==================================================] 100%
Packages: 4165/4165 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... failed

Publishing repository over HTTPS
[-]
... completed
Comment 2 Jeff Ortel 2013-06-11 10:15:48 EDT
build: 2.2.0-0.3.beta
Comment 3 Preethi Thomas 2013-06-12 13:51:10 EDT
verified
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.3.beta.fc18.noarch

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo sync run --repo-id f18-disk
+----------------------------------------------------------------------+
                  Synchronizing Repository [f18-disk]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[===============================                   ] 62%
Distributions: 5/8 items

Errors encountered during distribution sync:

File: file:///mnt/disk/images/boot.iso
Error Code:   37
Error Message: Couldn't
open file /mnt/disk/images/boot.iso


Importing errata...
[-]
... completed

Importing package groups/categories...
[\]
... completed

Publishing packages...
[==================================================] 100%
Packages: 4165/4165 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[|]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@hp-dl360g6-01 ~]#
Comment 4 Preethi Thomas 2013-09-10 11:45:05 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.